### Method

# Gtk Widget should_layout

#### Declaration [src]

    gboolean
    gtk_widget_should_layout (
      GtkWidget* widget
    )

#### Description [src]

Returns whether the widget should contribute to the measuring and allocation of its parent.

This is false for invisible children, but also for children that have their own surface, such as `GtkPopover` instances.

#### Return value

Type: `gboolean`

True if child should be included in measuring and allocating.